Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.mockoperation
Class MockResponseXmlDocument

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument
          com.eviware.soapui.impl.wsdl.panels.mockoperation.MockResponseXmlDocument

All Implemented Interfaces:
  XmlDocument, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

    public class MockResponseXmlDocument

extends AbstractXmlDocument
implements java.beans.PropertyChangeListener

XmlDocument for a WsdlMockResponse

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`XML_PROPERTY`

Constructor Summary
`MockResponseXmlDocument(WsdlMockResponse response)`

Method Summary
`org.apache.xmlbeans.SchemaTypeSystem` | `getTypeSystem()`
`java.lang.String` | `getXml()`
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`
`void` | `release()`
`void` | `setXml(java.lang.String xml)`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument
`addPropertyChangeListener, addPropertyChangeListener, fireXmlChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockResponseXmlDocument

    public MockResponseXmlDocument(WsdlMockResponse response)

Method Detail

### getTypeSystem

    public org.apache.xmlbeans.SchemaTypeSystem getTypeSystem()

  Specified by:
    `getTypeSystem` in interface `XmlDocument`

### getXml

    public java.lang.String getXml()

  Specified by:
    `getXml` in interface `XmlDocument`

### setXml

    public void setXml(java.lang.String xml)

  Specified by:
    `setXml` in interface `XmlDocument`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### release

    public void release()

  Specified by:
    `release` in interface `XmlDocument`
  Overrides:
    `release` in class `AbstractXmlDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.